aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d/grep.bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2015-05-31 15:52:10 +1200
committerTom Ryder <tom@sanctum.geek.nz>2015-05-31 15:52:10 +1200
commit0a95c126e8853996d4025a9d2ad8aab735b5bc05 (patch)
tree0fde3a21a878a9e88c9cac9ca45f420dd29e9047 /bash/bashrc.d/grep.bash
parentConsistent color count method (diff)
downloaddotfiles-0a95c126e8853996d4025a9d2ad8aab735b5bc05.tar.gz
dotfiles-0a95c126e8853996d4025a9d2ad8aab735b5bc05.zip
Avoid condition definition of functions
Diffstat (limited to 'bash/bashrc.d/grep.bash')
-rw-r--r--bash/bashrc.d/grep.bash25
1 files changed, 14 insertions, 11 deletions
diff --git a/bash/bashrc.d/grep.bash b/bash/bashrc.d/grep.bash
index 0eedb451..12354d78 100644
--- a/bash/bashrc.d/grep.bash
+++ b/bash/bashrc.d/grep.bash
@@ -1,15 +1,18 @@
# Define function wrapper for grep(1) with --color option if GREP_COLORS is
# set; checks that color is available in the terminal within the function
-if [[ $GREP_COLORS ]] ; then
- grep() {
- local -i colors=$( {
- tput Co || tput colors
- } 2>/dev/null )
- if ((colors >= 8)) ; then
- command grep --color=auto "$@"
- else
- command grep "$@"
- fi
- }
+if ! [[ $GREP_COLORS ]] ; then
+ return
fi
+# Define function proper
+grep() {
+ local -i colors=$( {
+ tput Co || tput colors
+ } 2>/dev/null )
+ if ((colors >= 8)) ; then
+ command grep --color=auto "$@"
+ else
+ command grep "$@"
+ fi
+}
+